org.jedit.migration

## Class CheckFileStatus

- java.lang.Object
- - org.jedit.migration.OneTimeMigrationService
  - - org.jedit.migration.CheckFileStatus

- All Implemented Interfaces:
    MigrationService

      public class CheckFileStatus
      extends OneTimeMigrationService

  Migration step for the 'checkFileStatus' property whose meaning changed slightly in jEdit. Default value was before 0 and is now 1.

- - ### Field Summary

    - ### Fields inherited from class org.jedit.migration.OneTimeMigrationService

      `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckFileStatus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `migrate()`

    - ### Methods inherited from class org.jedit.migration.OneTimeMigrationService

      `doMigration, execute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckFileStatus

          public CheckFileStatus()

  - ### Method Detail

    - #### migrate

          public void migrate()